"use strict";

const addCommonFields = require("../event-add-common-fields");
const mapMaybeRedacted = require("../map-maybe-redacted");

module.exports = function mapTopicEvent(event, _context) {
	return addCommonFields(event, {
		type: "topicChanged",
		sender: event.sender,
		... mapMaybeRedacted(event, () => ({
			topic: event.content.topic
		}))
	});
};
